### Function

# FwupdPlugin crc_kind_to_string

#### Declaration [src]

    const gchar*
    fu_crc_kind_to_string (
      FuCrcKind val
    )

#### Description [src]

Converts an enumerated value to a string.

#### Parameters

`val` | `FuCrcKind`
| Value, e.g. `FU_CRC_KIND_B32_STANDARD`.

#### Return value

Returns: | `const gchar*`
| Identifier string.
| The data is owned by the called function.
| The value is a NUL terminated UTF-8 string.